## asn1tools 0.164.0

=== requirements.txt ===
pyparsing>=3.0.6
codespell
pyasn1
asn1crypto
libsnmp
pysnmp
protobuf
prompt_toolkit
pycodestyle
bitstruct
diskcache
humanfriendly
mock ; python_version < '3.0'
nala ; python_version >= '3.6'

=== debian/changelog ===
asn1tools (0.164.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:28:41 +0200

asn1tools (0.164.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Oct 2022 15:18:44 +0200

=== debian/control ===
Source: asn1tools
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-bitstruct,
 python3-diskcache,
 python3-prompt-toolkit,
 python3-sphinx
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/eerimoq/asn1tools

Package: python3-asn1tools
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-asn1tools-doc,
Description: ASN.1 parsing, encoding and decoding (Python 3)
 This package contains a Python package for ASN.1 parsing, encoding and
 decoding. Supported codecs:
    * Basic Encoding Rules (BER)
    * Distinguished Encoding Rules (DER)
    * Generic String Encoding Rules (GSER)
    * JSON Encoding Rules (JER)
    * Basic Octet Encoding Rules (OER)
    * Aligned Packed Encoding Rules (PER)
    * Unaligned Packed Encoding Rules (UPER)
    * XML Encoding Rules (XER)
 .
 This package installs the library for Python 3.

Package: python-asn1tools-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: ASN.1 parsing, encoding and decoding (common documentation)
 This package contains a Python package for ASN.1 parsing, encoding and
 decoding. Supported codecs:
    * Basic Encoding Rules (BER)
    * Distinguished Encoding Rules (DER)
    * Generic String Encoding Rules (GSER)
    * JSON Encoding Rules (JER)
    * Basic Octet Encoding Rules (OER)
    * Aligned Packed Encoding Rules (PER)
    * Unaligned Packed Encoding Rules (UPER)
    * XML Encoding Rules (XER)
 .
 This is the common documentation package.

## asn1tools 0.166.0

=== Makefile ===
ifeq ($(origin CC), default)
CC = gcc
endif

C_SOURCES := \
	tests/files/c_source/oer.c
	# tests/files/c_source/uper.c

FUZZER_CC ?= clang
FUZZER_OER_EXE = main_oer_fuzzer
FUZZER_UPER_EXE = main_uper_fuzzer
FUZZER_OER_C_SOURCES = \
	tests/main_oer_fuzzer.c \
	tests/files/c_source/oer.c
FUZZER_UPER_C_SOURCES = \
	tests/main_uper_fuzzer.c \
	tests/files/c_source/uper.c
FUZZER_CFLAGS = \
	-fprofile-instr-generate \
	-fcoverage-mapping \
	-Itests/files/c_source \
	-g -fsanitize=address,fuzzer \
	-fsanitize=signed-integer-overflow \
	-fno-sanitize-recover=all
FUZZER_EXECUTION_TIME ?= 30

CFLAGS := \
	-Wall \
	-Wextra \
	-Wdouble-promotion \
	-Wfloat-equal \
	-Wformat=2 \
	-Wshadow \
	-Werror

CFLAGS_EXTRA := \
	-Wduplicated-branches \
	-Wduplicated-cond \
	-Wjump-misses-init \
	-Wlogical-op \
	-Wnull-dereference \
	-Wrestrict \
	-Wconversion \
	-Wpedantic

CFLAGS_EXTRA_CLANG := \
	-fsanitize=address \
	-fsanitize=undefined,nullability \
	-Warray-bounds-pointer-arithmetic \
	-Wassign-enum \
	-Wcast-align \
	-Wcast-qual \
	-Wchar-subscripts \
	-Wcomma \
	-Wcomment \
	-Wconditional-uninitialized \
	-Wdate-time \
	-Wdocumentation \
	-Wduplicate-decl-specifier \
	-Wduplicate-enum \
	-Wduplicate-method-arg \
	-Wduplicate-method-match \
	-Wembedded-directive \
	-Wempty-translation-unit \
	-Wexpansion-to-defined \
	-Wflexible-array-extensions \
	-Wfloat-conversion \
	-Wfloat-equal \
	-Wfloat-overflow-conversion \
	-Wfloat-zero-conversion \
	-Wformat-non-iso \
	-Wformat-nonliteral \
	-Wformat-pedantic \
	-Wfour-char-constants \
	-Wgnu-anonymous-struct \
	-Wgnu-array-member-paren-init \
	-Wgnu-auto-type \
	-Wgnu-binary-literal \
	-Wgnu-case-range \
	-Wgnu-complex-integer \
	-Wgnu-compound-literal-initializer \
	-Wgnu-conditional-omitted-operand \
	-Wgnu-designator \
	-Wgnu-empty-initializer \
	-Wgnu-empty-struct \
	-Wgnu-flexible-array-initializer \
	-Wgnu-flexible-array-union-member \
	-Wgnu-folding-constant \
	-Wgnu-imaginary-constant \
	-Wgnu-include-next \
	-Wgnu-label-as-value \
	-Wgnu-redeclared-enum \
	-Wgnu-statement-expression \
	-Wgnu-union-cast \
	-Wgnu-zero-line-directive \
	-Wgnu-zero-variadic-macro-arguments \
	-Wheader-hygiene \
	-Widiomatic-parentheses \
	-Wimplicit \
	-Wimplicit-fallthrough \
	-Wloop-analysis \
	-Wmethod-signatures \
	-Wmissing-braces \
	-Wmissing-field-initializers \
	-Wnested-anon-types \
	-Wnewline-eof \
	-Wnull-pointer-arithmetic \
	-Woverlength-strings \
	-Wpointer-arith \
	-Wsign-compare \
	-Wtautological-compare \
	-Wundef \
	-Wuninitialized \
	-Wunreachable-code \
	-Wunreachable-code-aggressive \
	-Wunused-comparison \
	-Wunused-const-variable \
	-Wunused-parameter \
	-Wunused-variable \
	-Wvariadic-macros \
	-Wzero-as-null-pointer-constant \
	-Wzero-length-array

.PHONY: test
test:
	python3 setup.py test
	$(MAKE) test-sdist
	env PYTHONPATH=. python3 examples/benchmarks/packages/ber.py
	env PYTHONPATH=. python3 examples/benchmarks/packages/uper.py
	env PYTHONPATH=. python3 examples/benchmarks/codecs.py
	env PYTHONPATH=. python3 examples/benchmarks/compile_methods.py
	env PYTHONPATH=. python3 examples/benchmarks/question/question.py
	env PYTHONPATH=. python3 examples/hello_world.py
	env PYTHONPATH=. python3 examples/x509_pem.py
	env PYTHONPATH=. python3 examples/compact_extensions_uper/main.py
	env PYTHONPATH=. python3 examples/programming_types/main.py
	$(MAKE) test-c
	env FUZZER_EXECUTION_TIME=1 $(MAKE) test-c-fuzzer
	$(MAKE) -C examples/benchmarks/c_source
	python3 -m pycodestyle $$(git ls-files "asn1tools/*.py")

.PHONY: codespell
codespell:
	codespell -d $$(git ls-files | grep -v ietf \
				     | grep -v 3gpp \
				     | grep -v generated \
				     | grep -v "\\.rs" \
				     | grep -v asn1tools/source/rust \
				     | grep -v "\.asn")

.PHONY: test-c
test-c:
	for f in $(C_SOURCES) ; do \
	    $(CC) $(CFLAGS) $(CFLAGS_EXTRA) -std=c99 -O3 -c $$f ; \
	    clang $(CFLAGS) $(CFLAGS_EXTRA_CLANG) -std=c99 -O3 -c $$f ; \
	done

	$(MAKE) -C tests

.PHONY: test-c-oer-fuzzer-run
test-c-oer-fuzzer-run:
	$(FUZZER_CC) $(FUZZER_CFLAGS) $(FUZZER_OER_C_SOURCES) -o $(FUZZER_OER_EXE)
	rm -f $(FUZZER_OER_EXE).profraw
	LLVM_PROFILE_FILE="$(FUZZER_OER_EXE).profraw" \
	    ./$(FUZZER_OER_EXE) \
	    -max_total_time=$(FUZZER_EXECUTION_TIME) \
	    -print_final_stats
	llvm-profdata merge \
	    -sparse $(FUZZER_OER_EXE).profraw \
	    -o $(FUZZER_OER_EXE).profdata
	llvm-cov show ./$(FUZZER_OER_EXE) \
	    -instr-profile=$(FUZZER_OER_EXE).profdata

.PHONY: test-c-uper-fuzzer-run
test-c-uper-fuzzer-run:
	$(FUZZER_CC) $(FUZZER_CFLAGS) $(FUZZER_UPER_C_SOURCES) -o $(FUZZER_UPER_EXE)
	rm -f $(FUZZER_UPER_EXE).profraw
	LLVM_PROFILE_FILE="$(FUZZER_UPER_EXE).profraw" \
	    ./$(FUZZER_UPER_EXE) \
	    -max_total_time=$(FUZZER_EXECUTION_TIME) \
	    -print_final_stats
	llvm-profdata merge \
	    -sparse $(FUZZER_UPER_EXE).profraw \
	    -o $(FUZZER_UPER_EXE).profdata
	llvm-cov show ./$(FUZZER_UPER_EXE) \
	    -instr-profile=$(FUZZER_UPER_EXE).profdata

.PHONY: test-c-fuzzer
test-c-fuzzer:
	$(MAKE) test-c-oer-fuzzer-run
	$(MAKE) test-c-uper-fuzzer-run
	echo
	echo "REPORT:"
	echo
	llvm-cov report ./$(FUZZER_OER_EXE) \
	    -instr-profile=$(FUZZER_OER_EXE).profdata
	echo
	llvm-cov report ./$(FUZZER_UPER_EXE) \
	    -instr-profile=$(FUZZER_UPER_EXE).profdata

.PHONY: test-rust
test-rust:
	cd tests/rust_source && cargo run

.PHONY: test-sdist
test-sdist:
	rm -rf dist
	python3 setup.py sdist
	cd dist && \
	mkdir test && \
	cd test && \
	tar xf ../*.tar.gz && \
	cd asn1tools-* && \
	python3 setup.py test

.PHONY: release-to-pypi
release-to-pypi:
	python3 setup.py sdist
	python3 setup.py bdist_wheel --universal
	twine upload dist/*

=== requirements.txt ===
pyparsing>=3.0.6
codespell
pyasn1
asn1crypto
libsnmp
pysnmp
protobuf
prompt_toolkit[shell]
pycodestyle
bitstruct
diskcache[cache]
humanfriendly
mock ; python_version < '3.0'
nala ; python_version >= '3.6'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/asn1tools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/asn1tools.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/asn1tools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/asn1tools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tests/Makefile ===
TESTS += test_oer.c
TESTS += test_uper.c

INC += files/c_source
SRC += files/c_source/oer.c
SRC += files/c_source/c_source-minus.c
SRC += files/c_source/uper.c
SRC += files/c_source/boolean_uper.c
SRC += files/c_source/octet_string_uper.c

CFLAGS += -Wall
CFLAGS += -Wextra
CFLAGS += -Wpedantic
CFLAGS += -Wsign-conversion
CFLAGS += -Wshadow
CFLAGS += -Werror

include test.mk

=== examples/benchmarks/c_source/Makefile ===
all:
	$(MAKE) -C asn1tools
	$(MAKE) -C asn1scc
	$(MAKE) -C asn1c

=== examples/benchmarks/c_source/asn1c/Makefile ===
ASN1C ?= ../asn1c-0.9.28/asn1c/asn1c
ASN1C_FLAGS = -fcompound-names -fincludes-quoted -gen-PER

all:
	gcc $(CFLAGS) $(OPT_SIZE) generated/*.c main.c -o main
	size main
	readelf -s -W main | sort -k3 -n
	valgrind $(MASSIF_FLAGS) --massif-out-file=main.massif ./main 1
	ms_print main.massif
	time ./main $(ENCODE_DECODE_ITERATIONS)
	gcc $(CFLAGS) $(OPT_SPEED) generated/*.c main.c -o main
	time ./main $(ENCODE_DECODE_ITERATIONS)

generate: asn1c-0.9.28
	rm -rf generated
	mkdir -p generated
	cd generated && \
	    $(ASN1C) $(ASN1C_FLAGS) ../../my_protocol.asn && \
	    rm Makefile.am.sample converter-sample.c

v0.9.28.tar.gz:
	wget https://github.com/vlm/asn1c/archive/v0.9.28.tar.gz

asn1c-0.9.28: v0.9.28.tar.gz
	rm -rf asn1c-0.9.28
	tar xf v0.9.28.tar.gz
	cd asn1c-0.9.28 && \
	    test -f configure || autoreconf -iv && \
	    ./configure && \
	    $(MAKE)

include ../common.mk

=== examples/benchmarks/c_source/asn1scc/Makefile ===
all:
	gcc $(CFLAGS) $(OPT_SIZE) generated/*.c main.c -o main
	size main
	readelf -s -W main | sort -k3 -n
	valgrind $(MASSIF_FLAGS) --massif-out-file=main.massif ./main 1
	ms_print main.massif
	time ./main $(ENCODE_DECODE_ITERATIONS)
	gcc $(CFLAGS) $(OPT_SPEED) generated/*.c main.c -o main
	time ./main $(ENCODE_DECODE_ITERATIONS)

# Execute in asn1scc docker image.
generate:
	rm -rf generated
	mkdir -p generated
	cd generated && \
	    mono /usr/local/share/asn1scc/asn1.exe -c -uPER ../my_protocol.asn

include ../common.mk

=== examples/benchmarks/c_source/asn1tools/Makefile ===
all:
	gcc $(CFLAGS) $(OPT_SIZE) generated/*.c main.c -o main
	size main
	readelf -s -W main | sort -k3 -n
	valgrind $(MASSIF_FLAGS) --massif-out-file=main.massif ./main 1
	ms_print main.massif
	time ./main $(ENCODE_DECODE_ITERATIONS)
	gcc $(CFLAGS) $(OPT_SPEED) generated/*.c main.c -o main
	time ./main $(ENCODE_DECODE_ITERATIONS)

generate:
	rm -rf generated
	mkdir -p generated
	cd generated && \
	    env PYTHONPATH=../../../../.. \
	        python3 -m asn1tools generate_c_source \
	            --namespace uper --codec uper \
	            ../../my_protocol.asn

include ../common.mk

=== debian/changelog ===
asn1tools (0.166.0-0kali3) kali-dev; urgency=medium

  * Add pybuild.testfiles

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 05 Sep 2024 18:12:33 +0700

asn1tools (0.166.0-0kali2) kali-dev; urgency=medium

  * Add upstream patch to deal with newer pyparsing

 -- Steev Klimaszewski <steev@kali.org>  Sat, 13 Jul 2024 12:00:29 -0500

asn1tools (0.166.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add python3-pyparsing dependency.
  * New upstream version 0.166.0

 -- Steev Klimaszewski <steev@kali.org>  Wed, 06 Dec 2023 15:06:07 -0600

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: asn1tools
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- python3-setuptools,
  python3-all,
  python3-bitstruct,
  python3-diskcache,
  python3-prompt-toolkit,
- python3-sphinx
+ python3-pyparsing,
+ python3-setuptools,
+ python3-sphinx,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/eerimoq/asn1tools
+Vcs-Browser: https://gitlab.com/kalilinux/packages/asn1tools
+Vcs-Git: https://gitlab.com/kalilinux/packages/asn1tools.git
 
 Package: python3-asn1tools
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
 Suggests:
  python-asn1tools-doc,
 Description: ASN.1 parsing, encoding and decoding (Python 3)
@@ -42,8 +46,8 @@
 Section: doc
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${sphinxdoc:Depends},
- ${misc:Depends},
 Description: ASN.1 parsing, encoding and decoding (common documentation)
  This package contains a Python package for ASN.1 parsing, encoding and
  decoding. Supported codecs:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=asn1tools

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%asn1tools-$1.tar.gz%" \
   https://github.com/eerimoq/asn1tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
